Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.aggregate
Interface MultiSurface

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, TransfiniteSet

    @UML(identifier="GM_MultiSurface",
         specification=ISO_19107)
    public interface MultiSurface

extends MultiPrimitive

An aggregate class containing only instances of `OrientableSurface`. The association role `element` shall be the set of orientable surfaces contained in this `MultiSurface`.

Since:
  GeoAPI 2.1
Version:
  ISO 19107

Method Summary
`double` | `getArea()` Returns the accumulated area of all orientable surfaces contained in this `MultiSurface`.
`Set<OrientableSurface>` | `getElements()` Returns the set containing the orientable surfaces that compose this `MultiSurface`.

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=MANDATORY,
         specification=ISO_19107)
    Set<OrientableSurface> getElements()

  Returns the set containing the orientable surfaces that compose this `MultiSurface`. The set may be modified if this geometry is mutable.

  Specified by:
    `getElements` in interface `Aggregate`
  Specified by:
    `getElements` in interface `MultiPrimitive`

### getArea

    @UML(identifier="area",
         obligation=MANDATORY,
         specification=ISO_19107)
    double getArea()

  Returns the accumulated area of all orientable surfaces contained in this `MultiSurface`. The area of a 2-dimensional geometric object shall be a numeric measure of its surface area (in a square unit of distance). Since area is an accumulation (integral) of the product of two distances, its return value shall be in a unit of measure appropriate for measuring distances squared, such as meters squared (m2).

  > NOTE: Consistent with the definition of surface as a set of direct positions, holes in the surfaces will not contribute to the total area. If the usual Green's Theorem (or more general Stokes' Theorem) integral is used, the integral around the holes in the surface are subtracted from the integral about the exterior of the surface patch.

  Returns:
    The area.
  Unit:
    Area

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.